Page MenuHomePhabricator

Reference adaptation - edit references
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards/3636

Context

Allow users to indicate how a source citation is translated.

Narrative

As a user, I can change the way a citation is adapted, so that it makes sense in the translation.

Acceptance Criteria

  • User can remove the citation, or change it (edit the actual content, not the "[1]" text).
  • The citation can be easily explored (open in new window the link destination)
  • Log relevant events

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedPginer-WMF
OpenNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
OpenNone
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Amire80 raised the priority of this task from to Low.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 3:41 PM
Arrbee updated the task description. (Show Details)Feb 24 2015, 4:00 AM
Arrbee set Security to None.
Pginer-WMF updated the task description. (Show Details)Jun 15 2015, 6:29 PM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Jul 3 2015, 2:49 PM

This feature was requested in the project talk page.

It was also requested at the research talk page and a bunch of other places.

It's the gray area between translating and editing, and we should for now focus on translation, but possibly address this in the future (maybe by integrating VE - T105447).

Amire80 moved this task from Bugs to CX7 on the ContentTranslation board.Jul 21 2015, 8:45 PM

Assigning to myself for testing in the near future. It's possible that this will be resolved when T139332 is done, although I'm not sure that it will handle references that are not templates.

Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:41 PM
Pginer-WMF closed this task as Resolved.Aug 1 2018, 7:38 AM
Pginer-WMF claimed this task.

Content Translation version 2 provides support for removing, editing and exploring references as indicated in the description.